[tool.poetry]
name = "zsnl-dumper"
version = "0.1.0"
description = ""
authors = []

[tool.poetry.dependencies]
python = "^3.11"
smart-open = {extras = ["s3"], version = "^6.3.0"}
psycopg2-binary = "^2.9.1"
redis = "^4.5.4"
minty = "^3.0.8"
python-json-logger = "^2.0.2"

[tool.poetry.dev-dependencies]
black = "^23.3.0"
flake8 = "^6.0.0"
mypy = "^1.2.0"
isort = "^5.9.3"
types-redis = "^4.5.4.1"
ipython = "^8.13.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 79
target-version = ["py39"]
include = '\.pyi?$'
